# Activity bundle

This bundle provides the ability to record people in the software. This bundle is required by other bundle.

###### Entities provided

   Describe the entities provided.

###### Configuration options

Those options are available under `chill_activity` key.

Example of configuration:

```yaml
   chill_activity:
      form:
         time_duration:
            - { label: '12 minutes', seconds: 720 }
            - { label: '30 minutes', seconds: 1800 }
```

form.time_duration *array*
   The duration which might be suggested when the user create or update an activity. The value must be an array of object, where each object must have a `label` and a `seconds` key. The label provide which is shown to user (the label will be translated, if possible) and the seconds the duration.

   Example: see the example above

   Default value: the values available are 5, 10, 15, 20, 25, 30, 45 minutes, and 1 hour, 1 hour 15, 1 hour 30, 1 hour 45 and 2 hours.

###### Macros

## Activity reason sticker

Macro file
   `ChillActivityBundle:ActivityReason:macro.html.twig`
Macro envelope
   `reason(r)`

   `p` is an instance of :class:`Chill\ActivityBundle\Entity\ActivityReason`

When to use this macro ?
   When you want to represent an activity reason.
Example usage :

   ```jinja
   {% import 'ChillActivityBundle:ActivityReason:macro.html.twig' as m %}

   {{ m.reason(r) }}
   ```
